/* Ignore some difficult stuff */
%ignore Amanith::GKeyValue::Vect2Value;
%ignore Amanith::GKeyValue::Vect3Value;
%ignore Amanith::GKeyValue::Vect4Value;
%ignore Amanith::GProperty::Domain;
%ignore Amanith::SysUtils;
%ignore G_MAX_INT64;
%ignore G_MIN_INT64;
%ignore G_MAX_UINT32;
%ignore G_MAX_ULONG;
%ignore G_MAX_UINT64;

/* Where are these symbols? */
%ignore Amanith::GEllipseCurve2D::XAxis;
%ignore Amanith::GEllipseCurve2D::YAxis;
%ignore Amanith::GFont2D::CharMap;
%ignore Amanith::GRenderingContext::GRenderingContext;

/* Don't mind these unsupported things */
%warnfilter(362) Amanith::GInterval::operator=;
%warnfilter(362) Amanith::GClassID::operator=;
%warnfilter(362) Amanith::GElement::operator=;
%warnfilter(362) Amanith::GDrawStyle::operator=;

/* Don't whine about nested classes */
#pragma SWIG nowarn=312
